<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:p="http://primefaces.org/ui">

    <f:view contentType="text/html">
        <h:head>
        </h:head>
        <h:body>
            prueba de una tabla en la que cada fila tiene algunos valores y checks

            <br/>

            <p:ajaxStatus style="width:16px;height:16px;">
                <f:facet name="start">
                    <h:graphicImage value="../images/ajaxloadingbar.gif" />
                </f:facet>

                <f:facet name="complete">
                    <h:outputText value="" />
                </f:facet>
            </p:ajaxStatus>

            <p:messages id="msgs" showDetail="false" globalOnly="false" />


            <h:form prependId="false">

                <table>

                    <ui:repeat var="o" value="#{dummyMB.listaParaRepeat}" varStatus="status">

                        <tr>
                            <td>#{o.dato}</td>
                            <td>
                        <h:selectBooleanCheckbox value="#{o.validado}" label="validado" />
                        </td>
                        <td>
                        <h:selectBooleanCheckbox value="#{o.modificado}" label="modificado" />
                        </td>
                        </tr>

                    </ui:repeat>

                </table>
                <p:separator />
                <p:dataTable value="#{dummyMB.listaParaRepeat}" var="o">
                    <p:column headerText="dato">
                        #{o.dato}
                    </p:column>
                    <p:column headerText="validado">
                        <h:selectBooleanCheckbox value="#{o.validado}" />
                    </p:column>
                    <p:column headerText="modificado">
                        <h:selectBooleanCheckbox value="#{o.modificado}" />
                    </p:column>

                </p:dataTable>


                <p:commandButton action="#{dummyMB.foo}"
                                 value="dele" />


            </h:form>



        </h:body>
    </f:view>
</html>